OpenAI video status
Retrieves the current status and progress of a video generation task.
Path Parameters
- Type: stringvideo
_id requiredVideo ID
Responses
- application/json
- application/json
Request Example for get/v1/videos/{video_id}
curl https://api.apigo.ai/v1/videos/video_123456789 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "video_123456789",
"object": "video",
"created_at": 1741570283,
"completed_at": 1741570383,
"model": "sora-2",
"status": "pending",
"progress": 50,
"expires_at": 1741656683,
"seconds": "4",
"size": "720x1280",
"remixed_from_video_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}